<?php 

class Rak extends CI_Controller{

	function __construct(){
		parent::__construct();
	 	$this->load->model('m_kontak');/* sesuaikan dengan nama file pada model */
		$this->load->model('m_login'); 
		$this->load->model('m_admin'); 
		$this->load->model('m_kantor');
		$this->load->model('m_rak'); 
		$this->load->library('session');
		$this->load->library('upload');
		 
		$this->load->helper(array('form', 'url','tanggal'));
		if($this->session->userdata('status') != "loginbro"  and empty($this->session->userdata('email')) ){
			$this->session->set_flashdata('msg','<div class="alert alert-danger alert-dismissible">
						<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
						<strong> Admin Bukan Admin </strong>Ulangi Kembali
						</div> ');

			redirect(base_url("")); 
			
		}
	 
	 
	}

	 
	function index(){		
		$data['title1'] = 'Data Rak Barang'; 	
		$data['title2'] = 'Ubah Data'; 	
		$data['title3'] = 'Tambah Data';
		$data['kontak'] = $this->m_kontak->kontak();
		$data['kantor'] = $this->m_kantor->kantor();
		$data['admin'] = $this->m_admin->data_admin(); 
		$data['admin_login'] = $this->m_admin->data_admin_login();  
		$data['rak'] = $this->m_rak->rak(); 
		 
	
		$this->load->view('master/header',$data); 
		$this->load->view('master/rak/v_rak');
		$this->load->view('master/footer',$data); 
	}
	 
	public function code_hapus(){
		$id = $this->input->post('id');  
		 
	    $this->db->delete('tb_rak', array('id_rak' => $id)); 
	  	$this->session->set_flashdata('msg','success-hapus');
	    redirect('rak');
		
	}
	 
	public function code_tambah()
	{	 
		$data=array(
			'id_rak'=>  null,
			'nama_rak'=> $this->input->post('nama_rak'),
			'keterangan'=>  $this->input->post('keterangan')
            );

            $this->db->insert('tb_rak',$data);
           $this->session->set_flashdata('msg','success');
           redirect('rak');
	       

 
        
        
    }  
     
	public function code_ubah() {
      
        
    	$data=array(
    	 
    		'nama_rak'=> $this->input->post('nama_rak'),
    		'keterangan'=>  $this->input->post('keterangan'),
    		 
    		 
    	);

    	$this->db->where('id_rak',$this->input->post('id'));
        $this->db->update('tb_rak',$data);
        $this->session->set_flashdata('msg','success-edit');
    	redirect('rak');
	 
	} 
	 
}